\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Kinetic Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
Kinetic::Key Concept Reference
Other Concepts

## Definition

The concept `Key` is a unique identifier for something in some sort of table. In general, they can be only created by the table and are returned when a appropriate `new_foo()` method is called on the table. There are two classes of values for a `Key`, valid and invalid. The latter cannot refer to something in a table. Use the method `is_valid()` to differentiate.

Has Models:

  `CGAL::Kinetic::Simulator::Event_key`

  `CGAL::Kinetic::Active_objects_vector::Key`

## Public Member Functions
| Key ()
| The default constructor is guaranteed to construct an invalid key (i.e. one which is false when cast to a bool.

## Operations
bool | is_valid () const
| This method returns false if the key was created using the default constructor or was otherwise created to be invalid.
std::ostream & | operator<< (std::ostream &, Key)
| Write a text description of the key to a standard stream.